%global commit      0e1124df9e97129c5e0d9996a2c3876ae18f01c4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20200206

Name:           NetworkManager-wireguard
Version:        0
Release:        1.%{date}git%{shortcommit}%{?dist}
Summary:        NetworkManager VPN support for Wireguard
License:        GPLv2+

URL:            https://github.com/max-moser/network-manager-wireguard
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

# BuildRequires:  pkgconfig(libnm-glib-vpn) >= 1.2.0
# BuildRequires:  pkgconfig(libnm-glib) >= 1.2.0
# BuildRequires:  pkgconfig(libnm-gtk) >= 1.2.0
# BuildRequires:  pkgconfig(libnm-util) >= 1.2.0
# BuildRequires:  pkgconfig(libnm) >= 1.2.0
# BuildRequires:  pkgconfig(NetworkManager) >= 1.7.0
BuildRequires:  autoconf
BuildRequires:  gettext-libs
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  NetworkManager-libnm-devel
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnma) >= 1.7.0
BuildRequires:  pkgconfig(libsecret-1) >= 0.18
Requires:       NetworkManager >= 1.2.0
Requires:       wireguard

%description
NetworkManager support for Wireguard.


%package        gnome
Summary:        GNOME NetworkManager VPN support for OpenVPN

Requires:       %{name} = %{version}-%{release}

%description    gnome
GNOME NetworkManager support for Wireguard.


%prep
%autosetup -n network-manager-wireguard-%{commit} -p1
sed -i 's|./configure --enable-maintainer-mode $@|./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_libdir} --without-libnm-glib --enable-maintainer-mode $@|' \
    autogen.sh


%build
./autogen.sh
%make_build


%install
%make_install
%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS
%{_libdir}/NetworkManager/libnm-vpn-plugin-wireguard*
%{_libexecdir}/nm-wireguard-service
%{_prefix}/lib/NetworkManager/VPN/nm-wireguard-service.name
%{_sysconfdir}/dbus-1/system.d/nm-wireguard-service.conf

%files gnome
%{_datadir}/appdata/network-manager-wireguard.metainfo.xml
%{_libexecdir}/nm-wireguard-auth-dialog


%changelog
* Thu Feb 06 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-1.20200206git0e1124d
- Initial package
